Bug 995764 - koji-vm cannot be installed because of missing dependency on python-virtinst
Summary: koji-vm cannot be installed because of missing dependency on python-virtinst
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: koji
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dennis Gilmore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-10 22:35 UTC by Zbigniew Jędrzejewski-Szmek
Modified: 2014-08-16 00:32 UTC (History)
2 users (show)

Fixed In Version: koji-1.9.0-4.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-09 00:56:31 UTC


Attachments (Terms of Use)

Description Zbigniew Jędrzejewski-Szmek 2013-08-10 22:35:28 UTC
Description of problem:
$ sudo yum install koji-vm
Loaded plugins: auto-update-debuginfo, langpacks, refresh-packagekit
Resolving Dependencies
--> Running transaction check
---> Package koji-vm.noarch 0:1.8.0-2.fc19 will be installed
--> Processing Dependency: python-virtinst for package: koji-vm-1.8.0-2.fc19.noarch
--> Finished Dependency Resolution
Error: Package: koji-vm-1.8.0-2.fc19.noarch (updates)
           Requires: python-virtinst
 You could try using --skip-broken to work around the problem

$ sudo yum install --enablerepo=rawhide koji-vm
Loaded plugins: auto-update-debuginfo, langpacks, refresh-packagekit
Resolving Dependencies
--> Running transaction check
---> Package koji-vm.noarch 0:1.8.0-2.fc20 will be installed
--> Processing Dependency: koji = 1.8.0-2.fc20 for package: koji-vm-1.8.0-2.fc20.noarch
--> Processing Dependency: python-virtinst for package: koji-vm-1.8.0-2.fc20.noarch
--> Running transaction check
---> Package koji.noarch 0:1.8.0-2.fc19 will be updated
---> Package koji.noarch 0:1.8.0-2.fc20 will be an update
---> Package koji-vm.noarch 0:1.8.0-2.fc20 will be installed
--> Processing Dependency: python-virtinst for package: koji-vm-1.8.0-2.fc20.noarch
--> Finished Dependency Resolution
Error: Package: koji-vm-1.8.0-2.fc20.noarch (rawhide)
           Requires: python-virtinst
 You could try using --skip-broken to work around the problem

Version-Release number of selected component (if applicable):
F19 as of August 10 2013.

Comment 1 Zbigniew Jędrzejewski-Szmek 2013-12-18 21:22:42 UTC
Still true in F20:

Resolving Dependencies
--> Running transaction check
---> Package koji-vm.noarch 0:1.8.0-2.fc20 will be installed
--> Processing Dependency: python-virtinst for package: koji-vm-1.8.0-2.fc20.noarch
--> Finished Dependency Resolution
Error: Package: koji-vm-1.8.0-2.fc20.noarch (fedora)
           Requires: python-virtinst
 You could try using --skip-broken to work around the problem

Comment 2 Fedora Update System 2014-04-04 15:47:49 UTC
koji-1.9.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/koji-1.9.0-1.el6

Comment 3 Fedora Update System 2014-04-04 15:49:16 UTC
koji-1.9.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/koji-1.9.0-1.fc19

Comment 4 Fedora Update System 2014-04-04 15:49:48 UTC
koji-1.9.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/koji-1.9.0-1.fc20

Comment 5 Fedora Update System 2014-04-05 19:36:23 UTC
Package koji-1.9.0-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing koji-1.9.0-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-1065/koji-1.9.0-1.el6
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-04-09 00:56:31 UTC
koji-1.9.0-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-07-29 15:14:08 UTC
koji-1.9.0-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/koji-1.9.0-4.el6

Comment 8 Fedora Update System 2014-07-29 15:14:40 UTC
koji-1.9.0-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/koji-1.9.0-4.fc19

Comment 9 Fedora Update System 2014-08-15 18:59:19 UTC
koji-1.9.0-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2014-08-16 00:32:16 UTC
koji-1.9.0-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.